
QGIS Application - Bug report #19472

v.surf.rst NOT WORKING IN QGIS 3.2.0 BONN

2018-07-23 07:03 PM - Marco Ugalde

Status: Closed

Priority: High

Assignee: Alexander Bruy

Category: Processing/GRASS

Affected QGIS version:3.4.3 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 27300

Description

Good afternoon.  I always use v.surf.rst in Qgis 2.16 and 2.18 to interpolate points using a raster as a mask, but it is not working in QGIS

3.2.0.  I got an error message in red (see attached file).  I use the default parameters.

Associated revisions

Revision 34ec1833 - 2019-01-23 08:45 PM - Alexander Bruy

[processing] split v.surf.rst algorithm into two (fix #19472)

This algorithm cannot output cross-validation results and topographic

parameters simultaneously, hence two tools needed. Thanks to Pedro Venâncio

for finding this and proposing a fix.

Revision c2465fc4 - 2019-01-24 03:22 AM - Alexander Bruy

[processing] split v.surf.rst algorithm into two (fix #19472)

This algorithm cannot output cross-validation results and topographic

parameters simultaneously, hence two tools needed. Thanks to Pedro Venâncio

for finding this and proposing a fix.

(cherry picked from commit 34ec183354ba709c2b848395d77710b1c349e7b5)

History

#1 - 2018-07-23 08:00 PM - Nyall Dawson

- Status changed from Open to Feedback

Please post the full contents of the log window

#2 - 2018-07-24 05:55 PM - Marco Ugalde

- File Processing algorithm.txt added

#3 - 2018-07-24 07:06 PM - Giovanni Manghi

- Status changed from Feedback to Open
There is a problem with paths to GRASS executables:

"C:\PROGRA~1\QGIS" no se reconoce como un comando interno o externo,

programa o archivo por lotes ejecutable.

"C:\PROGRA~1\QGIS" no se reconoce como un comando interno o externo,

programa o archivo por lotes ejecutable.

"""" no se reconoce como un comando interno o externo,

programa o archivo por lotes ejecutable.

Presione una tecla para continuar . . . 

"C:\PROGRA~1\QGIS" no se reconoce como un comando interno o externo,

programa o archivo por lotes ejecutable.

"C:\PROGRA~1\QGIS" no se reconoce como un comando interno o externo,

In the meantime use QGIS LTR (2.18), is safer at this stage (for Processing tools).

#4 - 2018-07-26 02:59 PM - Marco Ugalde

Thank you!

#5 - 2018-07-26 05:14 PM - Giovanni Manghi

- Regression? changed from No to Yes

- Category changed from GRASS to Processing/GRASS

- Priority changed from Normal to High

#6 - 2018-07-27 09:09 AM - Rayne Harold

-

#7 - 2018-12-27 10:31 PM - Nyall Dawson

- Status changed from Open to Feedback

Is this still an issue in 3.4?

#8 - 2018-12-28 11:44 AM - Paolo Cavallini

Confirmed in 3.4.2

#9 - 2018-12-28 11:45 AM - Paolo Cavallini

- Status changed from Feedback to Open

- Affected QGIS version changed from 3.2 to 3.4.2

#10 - 2018-12-28 11:45 AM - Paolo Cavallini

- Affected QGIS version changed from 3.4.2 to 3.4.3

#11 - 2018-12-28 03:20 PM - Giovanni Manghi
- Status changed from Open to Feedback

Nyall Dawson wrote:

Is this still an issue in 3.4?

it works OK here in 3.4.3 on Ubuntu (but not using a temp point layer).

#12 - 2018-12-28 03:25 PM - Giovanni Manghi

- Status changed from Feedback to Open

Giovanni Manghi wrote:

Nyall Dawson wrote:

Is this still an issue in 3.4?

it works OK here in 3.4.3 on Ubuntu (but not using a temp point layer).

no, is not working, my mistake.

#13 - 2019-01-10 01:12 PM - Pedro Venâncio

- File v.surf.rst.txt added

- File v.surf.rst.cvdev.txt added

The problem with v.surf.rst in QGIS 3.x.x is because it is trying to output the cross-validation result and the topographic parameters at the same time, and

this is not possible.

So, the approach needs to be the same as in QGIS 2.x.x, by separating v.surf.rst in two different processing modules (v.surf.rst and v.surf.rst.cvdev).

I attach the description files with this approach. I can make a pull request with this update, but if someone can do it quicker (Nyall? Giovanni?), I appreciate

that, because at this moment I don't have access to my dev machine. And this needs to be backported to QGIS 3.4.x.

Thanks!

#14 - 2019-01-10 01:14 PM - Giovanni Manghi

- Assignee set to Giovanni Manghi

Pedro Venâncio wrote:

The problem with v.surf.rst in QGIS 3.x.x is because it is trying to output the cross-validation result and the topographic parameters at the same

time, and this is not possible.

So, the approach needs to be the same as in QGIS 2.x.x, by separating v.surf.rst in two different processing modules (v.surf.rst and
v.surf.rst.cvdev).

I attach the description files with this approach. I can make a pull request with this update, but if someone can do it quicker (Nyall? Giovanni?), I

appreciate that, because at this moment I don't have access to my dev machine. And this needs to be backported to QGIS 3.4.x.

Thanks!

thanks Pedro for catching this. I'll try create a PR today.

#15 - 2019-01-23 08:58 AM - Alexander Bruy

- Operating System deleted (Windows 10)

- Status changed from Open to In Progress

- Assignee changed from Giovanni Manghi to Alexander Bruy

#16 - 2019-01-23 10:02 AM - Alexander Bruy

- Pull Request or Patch supplied changed from No to Yes

PR https://github.com/qgis/QGIS/pull/8953

#17 - 2019-01-23 08:44 PM - Alexander Bruy

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|34ec183354ba709c2b848395d77710b1c349e7b5.

#18 - 2019-01-24 04:22 AM - Alexander Bruy

- Resolution set to fixed/implemented

Files

v.sur.rst.txt 1.08 KB 2018-07-23 Marco Ugalde

Processing algorithm.txt 10 KB 2018-07-24 Marco Ugalde

v.surf.rst.txt 2.72 KB 2019-01-10 Pedro Venâncio

v.surf.rst.cvdev.txt 2.12 KB 2019-01-10 Pedro Venâncio
